package za.co.momentum.recurring.nurse.client.sao;

public class ExcecuteAction {
	private ServiceAction action;
	private int TimeOut = 6000;
	private Object returnObject;

	public static void main(String[] args) {
		ServiceAction service = new ServiceAction() {
			public Object performService() {
				try {

					Thread.sleep(5000);

				} catch (InterruptedException e) {

				}
				return "Hello World";
			}
		};
		ExcecuteAction ex = new ExcecuteAction(service);
		Object o = ex.run();

	}

	public ExcecuteAction(ServiceAction action) {
		this.action = action;
	}

	public Object run() {
		WebThread webCall = new WebThread(action);
		webCall.start();
		long endTS = System.currentTimeMillis() + TimeOut;

		while (webCall.isRunning() && System.currentTimeMillis() < endTS) {
			// Wait for return from webcall or timeout

			try {
				Thread.sleep(500);
			} catch (InterruptedException e) {
				e.printStackTrace();
			}
		}
		returnObject = webCall.getReturnObject();
		if (webCall.isRunning()) {
			// TimeOut occured
			webCall.interrupt();

			// Do timeoutMethod
			// return new TimeoutException("Cannot wait any longer sucker!");
			timeOut();
		}
		return returnObject;
	}

	public Object timeOut() {
		// Ask if must retry
		return run();
	}
}
