package za.co.momentum.recurring.nurse.client.ui;

import org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer;
import org.eclipse.core.runtime.preferences.DefaultScope;
import org.eclipse.core.runtime.preferences.IEclipsePreferences;
import org.eclipse.jface.preference.IPreferenceStore;

import za.co.momentum.recurring.client.TNPlugin.Application;
import za.co.momentum.recurring.client.TNPlugin.RCPTNPlugin;

/**
 * Class used to initialize default preference values.
 */
public class PreferenceInitializer extends AbstractPreferenceInitializer {

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer#initializeDefaultPreferences()
	 */
	public void PreferenceInitializer() {
	}

	public void initializeDefaultPreferences() {
		IEclipsePreferences defaults = new DefaultScope().getNode(Application.PLUGIN_ID);
		defaults.put(PreferenceConstants.PDF_EDITOR_PATH, "C:/Program Files/Adobe/Acrobat 7.0/Reader/AcroRd32.exe");
		defaults.putInt(PreferenceConstants.TIME_OUT, 100);
		defaults.putInt(PreferenceConstants.START_HOUR, 6);
		defaults.putInt(PreferenceConstants.END_HOUR, 20);
	}

}
