/*
 * Created on 2005/08/25
 */
package za.co.momentum.recurring.nurse.client.ui;



import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Table;
import org.eclipse.swt.widgets.TableColumn;
import com.swtdesigner.SWTResourceManager;


public class WeekView extends Composite {
	
	private int weekNumber;
	

	private Table table;
	public WeekView(Composite parent, int style) {
		super(parent, style);

		final Button currentWeekButton = new Button(this, SWT.NONE);
		currentWeekButton.setFont(SWTResourceManager.getFont("", 10, SWT.NONE));
		currentWeekButton.setText("Current week");
		currentWeekButton.setBounds(190, 0, 100, 25);

		final Button nextWeekButton = new Button(this, SWT.NONE);
		nextWeekButton.setFont(SWTResourceManager.getFont("", 10, SWT.NONE));
		nextWeekButton.setText("Next week");
		nextWeekButton.setBounds(353, 0, 100, 25);

		final Button previousWeekButton = new Button(this, SWT.NONE);
		previousWeekButton.setFont(SWTResourceManager.getFont("", 10, SWT.NONE));
		previousWeekButton.setText("Previous week");
		previousWeekButton.setBounds(619, 0, 100, 25);


		final Label label = new Label(this, SWT.SEPARATOR);
		label.setBounds(180, 0, 13, 557);

		final Label weeksAppointmentsLabel = new Label(this, SWT.NONE);
		weeksAppointmentsLabel.setFont(SWTResourceManager.getFont("", 10, SWT.NONE));
		weeksAppointmentsLabel.setText("Week's appointments");
		weeksAppointmentsLabel.setBounds(3, 3, 165, 18);

		table = new Table(this, SWT.BORDER);
		table.setFont(SWTResourceManager.getFont("", 10, SWT.NONE));
		table.setLinesVisible(true);
		table.setHeaderVisible(true);
		table.setBounds(2, 25, 177, 534);

		final TableColumn dateTableColumn = new TableColumn(table, SWT.NONE);
		dateTableColumn.setWidth(89);
		dateTableColumn.setText("Date");

		final TableColumn descriptionTableColumn = new TableColumn(table, SWT.NONE);
		descriptionTableColumn.setWidth(200);
		descriptionTableColumn.setText("Description");

		final MiniDay monday = new MiniDay(this, SWT.NONE);
		monday.setBounds(191, 33, 265, 174);
		monday.setDayName("Monday");

		final MiniDay tuesday = new MiniDay(this, SWT.NONE);
		tuesday.setBounds(191, 209, 265, 174);
		tuesday.setDayName("Tuesday");

		final MiniDay wednesday = new MiniDay(this, SWT.NONE);
		wednesday.setBounds(191, 385, 265, 174);
		wednesday.setDayName("Wednesday");

		final MiniDay thursday = new MiniDay(this, SWT.NONE);
		thursday.setBounds(458, 33, 265, 174);
		thursday.setDayName("Thursday");

		final MiniDay friday = new MiniDay(this, SWT.NONE);
		friday.setBounds(458, 209, 265, 174);
		friday.setDayName("Friday");

		final MiniDay saturday = new MiniDay(this, SWT.NONE);
		saturday.setBounds(458, 385, 265, 174);
		saturday.setDayName("Saturday");

		
		//
	}
	public void dispose() {
		super.dispose();
	}

	protected void checkSubclass() {
	}
	public int getWeekNumber() {
		return weekNumber;
	}
	public void setWeekNumber(int weekNumber) {
		this.weekNumber = weekNumber;
	}

}
