package za.co.momentum.recurring.nurse.db;

import java.util.NoSuchElementException;
import java.util.StringTokenizer;


// Author: Johan H <johan@guruhut.com>
public abstract class DbPropertySupport {
	public static boolean isInHierarchy(String haystack, String needle) {
		
		StringTokenizer needles = new StringTokenizer(needle, ".");
		StringTokenizer haystacks = new StringTokenizer(haystack, ".");
		
		
		while(needles.hasMoreTokens()) {
			String token = needles.nextToken();
			String stack = null;
			try {
				stack = haystacks.nextToken();
			} catch (NoSuchElementException nsee) {
				return false;  // Ran out of haystack with needles left, no match.
			}
			if (!token.equals(stack)) {
				return false; // DOes not match, no dice.
			}
		}
		return true;
	}

}
