package za.co.momentum.recurring.client.TNPlugin;

import org.eclipse.swt.widgets.Display;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.PlatformUI;
import org.eclipse.ui.application.IActionBarConfigurer;
import org.eclipse.ui.application.IWorkbenchWindowConfigurer;
import org.eclipse.ui.application.WorkbenchAdvisor;
import org.eclipse.ui.application.WorkbenchWindowAdvisor;

public class ApplicationWorkbenchAdvisor extends WorkbenchAdvisor {
	private static final String PERSPECTIVE_ID = "RCPPlugin.perspective";

	public WorkbenchWindowAdvisor createWorkbenchWindowAdvisor(
			IWorkbenchWindowConfigurer configurer) {
		return new ApplicationWorkbenchWindowAdvisor(configurer);
	}

	public String getInitialWindowPerspectiveId() {
		return PERSPECTIVE_ID;
	}

	public void fillActionBars(IWorkbenchWindow window,
			IActionBarConfigurer configurer, int flags) {
	}

	public void preWindowOpen(IWorkbenchWindowConfigurer configurer) {
	}

	public void postStartup() {
		// Do all stuff here that must be done before user does anything, but after
		// the app has started
		PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell().setMaximized(true);
//		Display.getCurrent().getActiveShell().setMaximized(true);
		// Set up menus here.
		// TODO - Removed for swt 3.7 compatibility ClientWindowManager.getInstance().setMenus();
	}
}
