package za.co.momentum.recurring.nurse.client.model;

import java.lang.reflect.Constructor;
import java.lang.reflect.InvocationTargetException;

public class ServiceInfo {
	private Class serviceCalled;
	private Class[] paramTypes;
	private Object[] parameters;
	private Object returnedObjectType;

	public Object createObject() {

		Object theObject = null;
		Constructor con;
		try {
			con = serviceCalled.getConstructor(paramTypes);
			theObject = con.newInstance(parameters);
		} catch (SecurityException e) {
			e.printStackTrace();
		} catch (NoSuchMethodException e) {
			e.printStackTrace();
		} catch (IllegalArgumentException e) {
			e.printStackTrace();
		} catch (InstantiationException e) {
			e.printStackTrace();
		} catch (IllegalAccessException e) {
			e.printStackTrace();
		} catch (InvocationTargetException e) {
			e.printStackTrace();
		}
		return theObject;
	}

	public Object[] getParameters() {

		return parameters;
	}

	public void setParameters(Object[] parameters) {

		this.parameters = parameters;
	}

	public Class[] getParamTypes() {

		return paramTypes;
	}

	public void setParamTypes(Class[] paramTyes) {

		this.paramTypes = paramTyes;
	}

	public Object getReturnedObjectType() {

		return returnedObjectType;
	}

	public void setReturnedObjectType(Object returnedObjectType) {

		this.returnedObjectType = returnedObjectType;
	}

	public Class getServiceCalled() {

		return serviceCalled;
	}

	public void setServiceCalled(Class serviceCalled) {

		this.serviceCalled = serviceCalled;
	}
}
