package za.co.momentum.recurring.nurse.client.reports;

public class NurseReportDetail {
	
	private String name;
	private String surname;
	private String initials;
	private String employeeNumber;
	private int numberOfAppointments;
	private int numberOfAppointmentsAboveThreshold;
	private double salary;
	private int numberOfClientDeclined;
	private int numberOfReschedule;
	private int numberOfAppointmentDone;
	private int numberOfNurseCancelled;
	private String appointmentTime;
	private String clientDetails;
	private String appointmentLocation;
	private String requirements;
	private String clientContactDetails;
	
	public NurseReportDetail(){
	}
	
	public String getAppointmentLocation() {
		return appointmentLocation;
	}

	public void setAppointmentLocation(String appointmentLocation) {
		this.appointmentLocation = appointmentLocation;
	}

	public String getAppointmentTime() {
		return appointmentTime;
	}

	public void setAppointmentTime(String appointmentTime) {
		this.appointmentTime = appointmentTime;
	}

	public String getClientContactDetails() {
		return clientContactDetails;
	}

	public void setClientContactDetails(String clientContactDetails) {
		this.clientContactDetails = clientContactDetails;
	}

	public String getClientDetails() {
		return clientDetails;
	}

	public void setClientDetails(String clientDetails) {
		this.clientDetails = clientDetails;
	}

	public String getRequirements() {
		return requirements;
	}

	public void setRequirements(String requirements) {
		this.requirements = requirements;
	}

	public String getEmployeeNumber() {
		return employeeNumber;
	}
	public void setEmployeeNumber(String employeeNumber) {
		this.employeeNumber = employeeNumber;
	}
	public String getInitials() {
		return initials;
	}
	public void setInitials(String initials) {
		this.initials = initials;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public int getNumberOfAppointmentDone() {
		return numberOfAppointmentDone;
	}
	public void setNumberOfAppointmentDone(int numberOfAppointmentDone) {
		this.numberOfAppointmentDone = numberOfAppointmentDone;
	}
	public int getNumberOfAppointments() {
		return numberOfAppointments;
	}
	public void setNumberOfAppointments(int numberOfAppointments) {
		this.numberOfAppointments = numberOfAppointments;
	}
	public int getNumberOfAppointmentsAboveThreshold() {
		return numberOfAppointmentsAboveThreshold;
	}
	public void setNumberOfAppointmentsAboveThreshold(
			int numberOfAppointmentsAboveThreshold) {
		this.numberOfAppointmentsAboveThreshold = numberOfAppointmentsAboveThreshold;
	}
	public int getNumberOfClientDeclined() {
		return numberOfClientDeclined;
	}
	public void setNumberOfClientDeclined(int numberOfClientDeclined) {
		this.numberOfClientDeclined = numberOfClientDeclined;
	}
	public int getNumberOfNurseCancelled() {
		return numberOfNurseCancelled;
	}
	public void setNumberOfNurseCancelled(int numberOfNurseCancelled) {
		this.numberOfNurseCancelled = numberOfNurseCancelled;
	}
	public int getNumberOfReschedule() {
		return numberOfReschedule;
	}
	public void setNumberOfReschedule(int numberOfReschedule) {
		this.numberOfReschedule = numberOfReschedule;
	}
	public double getSalary() {
		return salary;
	}
	public void setSalary(double salary) {
		this.salary = salary;
	}
	public String getSurname() {
		return surname;
	}
	public void setSurname(String surname) {
		this.surname = surname;
	}
	
	
}
