package za.co.momentum.recurring.nurse.client.sao;

import za.co.momentum.recurring.nurse.util.TNLogger;

public class WebThread extends Thread {
	private ServiceAction action;
	private Object returnObject;
	private boolean isRunning;

	public WebThread(ServiceAction action) {
		this.action = action;
		isRunning = true;
	}

	public boolean isRunning() {
		return isRunning;
	}

	public Object getReturnObject() {
		return returnObject;
	}

	public void run() {
		isRunning = true;
		try {
			returnObject = action.performService();
		} catch (Exception e) {
			TNLogger.error("Error in webThread " + e.getMessage());
			returnObject = e;
		}
		isRunning = false;
	}
}
