package za.co.momentum.recurring.nurse.client.tools;

public abstract class TimedTask {

	private boolean busy = false;
	private boolean cancelled = false;
	private Throwable runException = null;
	public Throwable getRunException() {
		return runException;
	}

	public void setRunException(Throwable runException) {
		this.runException = runException;
	}

	public abstract void execute() throws TimedRunException ;

	public boolean isBusy() {
		return busy;
	}

	public void setBusy(boolean stillBusy) {
		this.busy = stillBusy;
	}

	public boolean isCancelled() {
		return cancelled;
	}

	public void setCancelled(boolean cancelled) {
		this.cancelled = cancelled;
	}
}
