package za.co.momentum.recurring.nurse.client.ui;

import java.util.ArrayList;

import org.apache.log4j.Logger;
import org.eclipse.jface.dialogs.IDialogConstants;
import org.eclipse.jface.dialogs.TitleAreaDialog;
import org.eclipse.swt.SWT;
import org.eclipse.swt.events.MouseAdapter;
import org.eclipse.swt.events.MouseEvent;
import org.eclipse.swt.graphics.Point;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.List;
import org.eclipse.swt.widgets.MessageBox;
import org.eclipse.swt.widgets.Shell;

import za.co.momentum.recurring.client.TNPlugin.Application;

/**
 * This code was edited or generated using CloudGarden's Jigloo SWT/Swing GUI Builder, which is free for non-commercial
 * use. If Jigloo is being used commercially (ie, by a corporation, company or business for any purpose whatever) then
 * you should purchase a license for each developer using Jigloo. Please visit www.cloudgarden.com for details. Use of
 * Jigloo implies acceptance of these licensing terms. A COMMERCIAL LICENSE HAS NOT BEEN PURCHASED FOR THIS MACHINE, SO
 * JIGLOO OR THIS CODE CANNOT BE USED LEGALLY FOR ANY CORPORATE OR COMMERCIAL PURPOSE.
 */
public class PdfFileChooserDialog extends TitleAreaDialog {

  private List list;

  private static final Logger LOG = Logger.getLogger(PdfFileChooserDialog.class);

  private String selectedFile;

  private String selectedFormName;

  private ArrayList files;

  public void setFiles(ArrayList files) {
    this.files = files;
  }

  public String getSelectedFile() {
    return selectedFile;
  }

  public String getSelectedFormName() {
    return selectedFormName;
  }

  public PdfFileChooserDialog(Shell parentShell, ArrayList files) {
    super(parentShell);
    this.files = files;
  }

  protected Control createDialogArea(Composite parent) {
    Composite area = (Composite) super.createDialogArea(parent);

    Composite container = new Composite(area, SWT.NONE);
    container.setLayoutData(new GridData(GridData.FILL_BOTH));

    list = new List(container, SWT.V_SCROLL | SWT.BORDER | SWT.H_SCROLL);
    list.setBounds(18, 10, 399, 362);
    list.addMouseListener(new MouseAdapter() {
      public void mouseDoubleClick(MouseEvent evt) {
        listMouseDoubleClick(evt);
      }
    });

    for (int i = 0; i < files.size(); i++) {
      String tempFile = (String) files.get(i);
      list.add(tempFile);
    }
    setTitle("Available Pdf Files");
    setMessage("Please select the additional Pdf file to add");

    area.pack(true);
    return area;
  }

  protected void buttonPressed(int buttonId) {
    if (buttonId == IDialogConstants.OK_ID) {
      String[] selectedFile = list.getSelection();

      if (selectedFile.length != 0) {
//        MessageBox message = new MessageBox(this.getParentShell(), SWT.ICON_WARNING | SWT.OK);
//        message
//            .setMessage("Remember to click on 'Update details' after adding new forms in order to save the form(s) to this AppReq");
//        message.setText("Fastlane MedPerson Reminder");
//        message.open();
        this.selectedFile = selectedFile[0];
      } else {
        MessageBox message = new MessageBox(this.getParentShell(), SWT.ICON_WARNING | SWT.OK);
        message.setMessage("A file must be selected, else press Cancel");
        message.setText("Message");
        message.open();
        return;
      }

    }
    setReturnCode(buttonId);
    close();
  }

  protected void createButtonsForButtonBar(Composite parent) {
    createButton(parent, IDialogConstants.OK_ID, IDialogConstants.OK_LABEL, true);
    createButton(parent, IDialogConstants.CANCEL_ID, IDialogConstants.CANCEL_LABEL, false);
  }

  protected Point getInitialSize() {
    return new Point(432, 520);
  }

  protected void configureShell(Shell newShell) {
    super.configureShell(newShell);
    newShell.setText(Application.APPLICATION_NAME);
  }

  private void listMouseDoubleClick(MouseEvent evt) {

    buttonPressed(IDialogConstants.OK_ID);
  }

}
