package za.co.momentum.recurring.nurse.client.ui.components.calendar;

import java.util.Calendar;
import za.co.momentum.risk.fastlane.nurse.dto.AppDetailTO;

public class PersonalAppointment implements Appointment {
	private AppDetailTO personalDairyTO;

	public PersonalAppointment(AppDetailTO personalDairyTO) {
		this.personalDairyTO = personalDairyTO;
	}
	public Calendar getStartTime() {
		Calendar start = Calendar.getInstance();
		start.setTimeInMillis(personalDairyTO.getStartTimeStamp());
		return start;
	}
	public Calendar getEndTime() {
		Calendar end = Calendar.getInstance();
		end.setTimeInMillis(personalDairyTO.getEndTimeStamp());
		return end;
	}
	public String getDescription() {
		return  "Personal appointment";
	}
	public void setStartTime(Calendar startTime) {
	}
	public void setEndTime(Calendar endTime) {
	}
	public void setDescription(String description) {
	}
	public AppDetailTO getPersonalDairyTO() {
		return personalDairyTO;
	}
	public String getSuburb() {
		return "";
	}
	public String getAppLocation() {
		return "";
	}
}
