package za.co.momentum.recurring.nurse.db;




// Author: Johan H <johan@guruhut.com>
public class FileStatusConstants extends ReverseMapped {
	public static final int FILE_CREATED = 1;
	public static final int FILE_MODIFIED = 2;
	public static final int FILE_READY_FOR_UPLOAD = 3;
	public static final int FILE_UPLOADING = 4;
	public static final int FILE_COMPLETE = 5;
	
	public static String getTextForConstant(int const_value) {
		return getTextForConstant(FileStatusConstants.class, const_value);
	}
	public static int [] getAllConstants() {
		return getAllConstants(FileStatusConstants.class);
	}
	
}
