package za.co.momentum.recurring.nurse.util;

import org.apache.commons.codec.binary.Base64;

public class ShieldUtils {

	private static String SECRET = "TQS1H7gjd^$ggfk*g&#iQJfidINS@#";

	public String generateKey(String code) {
		return new String ( Base64.encodeBase64(xorWithKey(code.getBytes(),
				SECRET.getBytes())));
	}

	public String translateKey(String code) {
		return new String (xorWithKey(Base64.decodeBase64(code.getBytes()),
				SECRET.getBytes()));
	}

	private byte[] xorWithKey(byte[] a, byte[] key) {
		byte[] out = new byte[a.length];
		for (int i = 0; i < a.length; i++) {
			out[i] = (byte) (a[i] ^ key[i % key.length]);
		}
		return out;
	}
	
	public static void main(String[] args){
		String key = "UIRiskpassw";
		ShieldUtils su = new ShieldUtils();
		String encoded = su.generateKey(key);
		System.out.println("Encoded:" + encoded);
		String decoded = su.translateKey(encoded);
		System.out.println("Decoded:" + decoded);
	}

}
