package za.co.momentum.recurring.nurse.util;

import java.util.Comparator;
import org.eclipse.swt.widgets.TableItem;

public class TableItemComparator implements Comparator {
	private int columnIndex = 0;
	private boolean sortAsc;

	public boolean isSortAsc() {
		return sortAsc;
	}

	public void setSortAsc(boolean sortAsc) {
		this.sortAsc = sortAsc;
	}

	public int getColumnIndex() {
		return columnIndex;
	}

	public void setColumnIndex(int columnIndex) {
		this.columnIndex = columnIndex;
	}

	public int compare(Object o1, Object o2) {
		if ((o1 instanceof TableItem) && (o2 instanceof TableItem)) {
			TableItem tab1 = (TableItem) o1;
			TableItem tab2 = (TableItem) o2;
			String s1 = tab1.getText(columnIndex);
			String s2 = tab2.getText(columnIndex);
			if (sortAsc)
				return s1.compareTo(s2);
			else
				return s2.compareTo(s1);
		} else {
			throw new IllegalArgumentException(
					"Objects must be of the type " + TableItem.class);
		}
	}
}
