package za.co.momentum.risk.fastlane.nurse.services.appreq;

import za.co.momentum.risk.fastlane.nurse.dto.AppDetailTO;
import za.co.momentum.risk.fastlane.nurse.dto.PdfFormTO;
import za.co.momentum.risk.fastlane.nurse.dto.RoleTO;
import za.co.momentum.risk.fastlane.nurse.dto.UserTO;


public class GenericRequest {
  private UserTO user;
  private UserTO newUser;
  private UserTO adminUser;
  private AppDetailTO appDetail;
  private Long action;
  private RoleTO nurse;
  private Long futureDate;
  private Long appId;
  private PdfFormTO[] pdfFormTOS;

  private String medPerson;
  private String telephoneNumber;

  private String toAddress;
  private String emailSubject;
  private String emailMessage;

  public String getToAddress() {
    return toAddress;
  }

  public void setToAddress(String toAddress) {
    this.toAddress = toAddress;
  }

  public String getEmailSubject() {
    return emailSubject;
  }

  public void setEmailSubject(String emailSubject) {
    this.emailSubject = emailSubject;
  }

  public String getEmailMessage() {
    return emailMessage;
  }

  public void setEmailMessage(String emailMessage) {
    this.emailMessage = emailMessage;
  }

  public String getTelephoneNumber() {
    return telephoneNumber;
  }

  public void setTelephoneNumber(String telephoneNumber) {
    this.telephoneNumber = telephoneNumber;
  }

  public String getMedPerson() {
    return medPerson;
  }

  public void setMedPerson(String medPerson) {
    this.medPerson = medPerson;
  }

  public RoleTO getNurse() {
    return nurse;
  }

  public void setNurse(RoleTO nurse) {
    this.nurse = nurse;
  }

  public PdfFormTO[] getPdfFormTOS() {
    return pdfFormTOS;
  }

  public UserTO getNewUser() {
    return newUser;
  }

  public void setNewUser(UserTO newUser) {
    this.newUser = newUser;
  }

  public Long getAppId() {
    return appId;
  }

  public void setAppId(Long appId) {
    this.appId = appId;
  }

  public void setPdfFormTOS(PdfFormTO[] pdfFormTOS) {
    this.pdfFormTOS = pdfFormTOS;
  }

  public Long getFutureDate() {
    return futureDate;
  }

  public void setFutureDate(Long futureDate) {
    this.futureDate = futureDate;
  }

  public UserTO getUser() {
    return user;
  }

  public void setUser(UserTO user) {
    this.user = user;
  }

  public AppDetailTO getAppDetail() {
    return appDetail;
  }

  public void setAppDetail(AppDetailTO appDetail) {
    this.appDetail = appDetail;
  }

  public Long getAction() {
    return action;
  }

  public void setAction(Long action) {
    this.action = action;
  }

  public UserTO getAdminUser() {
    return adminUser;
  }

  public void setAdminUser(UserTO adminUser) {
    this.adminUser = adminUser;
  }
}
